> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pubrio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# モニタープロ���ス試行

> 結果をプレビューするためにモニターのテスト処理を実行します。



## OpenAPI

````yaml jp-openapi POST /monitors/process/try
openapi: 3.0.0
info:
  description: >-
    Pubrio API
    はマーケット拡大インテリジェンスを提供します——企業の新市場参入を捉えるリアルタイムシグナルと、その基盤となる企業・人物データ。アカウントやコンタクトの検索・ルックアップ・エンリッチメントに加え、200+
    市場にわたる種別・日付付きの動きシグナルを購読できます。
  version: 1.0.0
  title: Pubrio OpenAPI
  termsOfService: https://pubrio.com/ja/terms-of-service
  contact:
    email: king.lai@pubrio.com
    name: King Lai
    url: https://pubrio.com/ja/get-in-touch
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.pubrio.com
security:
  - pubrio_api_key: []
tags:
  - name: Profile
    description: ワークスペースプロフィール情報と使用統計
  - name: Enrichment
    description: 詳細なB2Bデータで人物・企業レコードをエンリッチメント
  - name: Lookalike
    description: 指定した企業に類似する企業を検索
  - name: Search
    description: フィルターを使用して人物、企業、求人、ニュース、広告を検索
  - name: Lookup
    description: 特定の人物、企業、求人、ニュース、広告、テクノロジーの詳細情報を検索
  - name: LinkedIn
    description: LinkedInプロフィールURLから人物・企業データを検索
  - name: Redeem
    description: クレジットを消費して人物の連絡先情報をアンロック（単件・バッチ）
  - name: Channels
    description: アウトリーチチャネルテンプレートの管理（作成・更新・削除・一覧）
  - name: Monitor
    description: Webhook、統計、処理を含むデータモニターの作成と管理
  - name: Filters
    description: 検索パラメータで使用可能なフィルター値を取得（テクノロジー、地域、バーティカルなど）
  - name: API Keys
    description: APIキーのリクエストログと使用状況分析を表示
  - name: Insights
    description: 企業のシグナル集計インサイト(採用、ニュース、広告)。
  - name: Export
    description: 一括データエクスポート(クレジット消費)。
  - name: Expansion
    description: '企業の市場拡大インテリジェンス: シグナル、ステージ、市場、エクスポート。'
externalDocs:
  description: >-
    Pubrio API は、コンタクトおよびアカウント情報の検索・プレビュー・エンリッチメントに利用できます。Pubrio データベースは、豊富な B2B
    連絡先データとセールスインテリジェンスを提供します。
  url: https://docs.pubrio.com
paths:
  /monitors/process/try:
    post:
      tags:
        - Monitor
      summary: モニター処理のテスト実行
      description: 結果をプレビューするためにモニターのテスト処理を実行します。
      operationId: monitors_process_try
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                monitor_id:
                  type: string
                  format: uuid
                  description: トリガーするモニターの一意識別子。
                tried_at:
                  type: string
                  format: date-time
                  description: >-
                    スキャンの基準点として使用するタイムスタンプ。テスト時にデータが利用可能であることを確認するため、最近の過去の日付を使用してください。現在時刻を使用すると結果が0件になる場合があります。
                profile_id:
                  $ref: '#/components/schemas/profile_id'
              required:
                - monitor_id
      responses:
        '200':
          description: トリガー実行結果を含む成功レスポンスです。
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      monitor_id:
                        type: string
                        format: uuid
                        description: トリガーされたモニターの識別子。
                      status:
                        type: string
                        description: トリガー実行のステータス。
                      total_signals:
                        type: integer
                        description: 検出されたシグナルの合計数。
                      total_credit:
                        type: integer
                        description: 消費されたクレジットの合計。
                      processing_time_ms:
                        type: integer
                        description: 合計処理時間（ミリ秒）。
              example:
                data:
                  monitor_id: a1b2c3d4-e5f6-7890-abcd-ef1234567890
                  status: success
                  total_signals: 25
                  total_credit: 59
                  processing_time_ms: 99050
        '400':
          $ref: '#/components/responses/general_error'
        '429':
          $ref: '#/components/responses/rate_limit_error'
        '500':
          $ref: '#/components/responses/server_error'
components:
  schemas:
    profile_id:
      type: integer
      description: >-
        オプション。リクエストを送信するチームを表す識別子です。API
        キーにワークスペース情報が既に含まれているため、このパラメータは必須ではなくなりました。指定した場合、検索結果が特定のチーム（ワークスペース）に紐づけられ、データ取得およびクレジット利用状況の追跡が可能になります。詳しくは、チーム関連の「ユーザー詳細」エンドポイントを参照してください。
  responses:
    general_error:
      description: リクエストエラー。リクエストの形式が不正であるか、無効なパラメータが含まれています。エラーコードとメッセージを確認してください。
      content:
        application/json:
          schema:
            required:
              - code
              - message
              - details
            type: object
            properties:
              code:
                example: 40001
                type: integer
              message:
                example: エラーの背景やフィールド単位の情報などを含む追加データオブジェクトです。
                type: string
              details:
                type: object
    rate_limit_error:
      description: レート制限超過。一定期間内に多すぎるリクエストが送信されました。レート制限ウィンドウがリセットされた後に再試行してください。
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: クライアントはしばらく待ってから再試行することが推奨されます。
                type: string
    server_error:
      description: 内部サーバーエラー。サーバーで予期しないエラーが発生しました。エラーが続く場合はサポートにお問い合わせください。
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: レスポンスボディには `error` フィールドが含まれ、問題の概要がメッセージとして記載されます。
                type: string
  securitySchemes:
    pubrio_api_key:
      type: apiKey
      name: pubrio-api-key
      description: >-
        API で実行する操作内容と、その操作に付与された権限を識別するための一意の API トークンです。このトークンはダッシュボードの
        [設定](https://dashboard.pubrio.com/#/settings/) 画面から発行できます。
      in: header

````